%define svndate	20090313
%define rel	29

%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	static	%mklibname %{name} -d -s

%bcond_without	perl
%bcond_with	python

Summary:	A CPU identification tool and library
Name:		cpuinfo
Version:	1.0
Release:	%mkrel %{?svndate:0.%{svndate}.}%{rel}
# based on branch at https://code.launchpad.net/cpuinfo/trunk, please don't
# replace until merged upstream
Source0:	%{name}-%{version}%{?svndate:-%{svndate}}.tar.xz
# This patch is already commited to branch above, patch added here in stead of
# updating tarball for just one commit..
Patch500:	cpuinfo-1.0-no-64bit-if-32bit-personality.patch
# lame workaround for now..
Patch501:	cpuinfo-1.0-dont-report-64bit-on-32bit.patch
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://gwenole.beauchesne.info/projects/cpuinfo/
ExclusiveArch:	%{ix86} x86_64 ppc ppc64 ia64
%if %{with perl}
BuildRequires:	perl-devel
%endif
%if %{with python}
BuildRequires:	pkgconfig(python) 
BuildRequires:	python-setuptools
%endif

%description
cpuinfo consists of an API/library used by programs to get information
about the underlying CPU. Such information includes CPU vendor, model
name, cache hierarchy, and supported features (e.g. CMP, SMT, and
SIMD). cpuinfo is also a standalone program to demonstrate the use of
this API.

%package -n	%{libname}
Summary:	Library for cpuinfo
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with cpuinfo.

%package -n	%{devname}
Summary:	Development files for cpuinfo
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains headers and libraries needed to use cpuinfo's
processor characterisation features in your programs.

%package -n	%{static}
Summary:	Static library for cpuinfo
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:       %{devname} = %{version}-%{release}

%description -n	%{static}
This package contains static libraries needed to statically link cpuinfo's
processor characterisation features in your programs.

%if %{with perl}
%package -n	perl-Cpuinfo
Summary:	Perl bindings for cpuinfo
Group:		Development/Perl

%description -n	perl-Cpuinfo
Provides a Perl API to the cpuinfo library.
%endif

%if %{with python}
%package -n	python-cpuinfo
Summary:	Python bindings for cpuinfo
Group:		Development/Perl

%description -n python-cpuinfo
Provides a Python API to the cpuinfo library.
%endif

%prep
%setup -q
%autopatch -p0

%build
%configure \
	--enable-shared \
%if %{with perl}
	--enable-perl=vendor \
%endif
%if %{with python}
	--enable-python \
%endif
	--install-sdk
%make_build

%install
%make_install

# nuke unpackaged files
find $RPM_BUILD_ROOT -name cpuinfo.pl -exec rm -f {} \;
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -name .packlist -exec rm -f {} \;

%files
%doc README COPYING NEWS
%{_bindir}/cpuinfo

%files -n %{libname}
%{_libdir}/libcpuinfo.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/cpuinfo.h
%{_libdir}/pkgconfig/libcpuinfo.pc
%{_libdir}/libcpuinfo.so

%files -n %{static}
%{_libdir}/libcpuinfo.a

%if %{with perl}
%files -n perl-Cpuinfo
%doc src/bindings/perl/cpuinfo.pl
%{perl_vendorarch}/Cpuinfo.pm
%dir %{perl_vendorarch}/auto/Cpuinfo
%{perl_vendorarch}/auto/Cpuinfo/*
%endif

%if %{with python}
%files -n python-cpuinfo
%{python2_sitearch}/CPUInfo.so
%dir %{python_sitearch}/pycpuinfo-*.egg-info/
%{python2_sitearch}/pycpuinfo-*.egg-info/*
%endif




%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.0-0.20090313.29.mga8
+ Revision: 1594206
- Rebuild for perl 5.32

* Sat May 02 2020 wally <wally> 1.0-0.20090313.28.mga8
+ Revision: 1577703
- build without python support
- replace deprecated %%makeinstall_std
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.0-0.20090313.26.mga8
+ Revision: 1433430
- rebuild for perl 5.30

* Sun Sep 23 2018 umeabot <umeabot> 1.0-0.20090313.25.mga7
+ Revision: 1296882
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.0-0.20090313.24.mga7
+ Revision: 1248762
- rebuild for perl 5.28

* Thu Aug 31 2017 pterjan <pterjan> 1.0-0.20090313.23.mga7
+ Revision: 1149445
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.0-0.20090313.22.mga7
+ Revision: 1126795
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.0-0.20090313.21.mga6
+ Revision: 1022110
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.0-0.20090313.20.mga6
+ Revision: 966335
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.0-0.20090313.19.mga6
+ Revision: 843631
- rebuild for perl-5.22

* Sat Sep 27 2014 tv <tv> 1.0-0.20090313.18.mga5
+ Revision: 726064
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 1.0-0.20090313.17.mga5
+ Revision: 693695
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.20090313.16.mga5
+ Revision: 678576
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0-0.20090313.15.mga5
+ Revision: 630767
- Rebuild for perl 5.20

* Sat May 31 2014 pterjan <pterjan> 1.0-0.20090313.14.mga5
+ Revision: 628143
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0-0.20090313.13.mga4
+ Revision: 542531
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.0-0.20090313.12.mga4
+ Revision: 497681
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed May 29 2013 fwang <fwang> 1.0-0.20090313.11.mga4
+ Revision: 430384
- rebuild for new perl

* Fri Jan 11 2013 umeabot <umeabot> 1.0-0.20090313.10.mga3
+ Revision: 348265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 fwang <fwang> 1.0-0.20090313.9.mga3
+ Revision: 251930
- rebuild for new perl

* Sat Jun 11 2011 sander85 <sander85> 1.0-0.20090313.8.mga2
+ Revision: 103781
- perl 5.14

* Sun Feb 27 2011 ennael <ennael> 1.0-0.20090313.7.mga1
+ Revision: 61283
- imported package cpuinfo


* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 1.0-0.20090313.7mdv2011.0
+ Revision: 595031
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix so that it's possible to build with perl or python bindings

* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 1.0-0.20090313.6mdv2011.0
+ Revision: 592111
- rebuild for py2.7

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0-0.20090313.5mdv2011.0
+ Revision: 556337
- rebuild for perl 5.12

* Tue Nov 17 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0-0.20090313.4mdv2010.1
+ Revision: 466991
- split static library into a separate package
- don't report 64 bit if built for 32 bit (P501)
- add dependency on library package for devel package

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Mar 19 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0-0.20090313.2mdv2009.1
+ Revision: 357588
- only report 64bit if PER_LINUX_32BIT personality isn't set (P0)

* Fri Mar 13 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0-0.20090313.1mdv2009.1
+ Revision: 354626
- add missing buildrequires
- build shared library, perl & python bindings
- update copyright tag
- cosmetics
  update to snapshot from my own bzr branch:
  	o adds python bindings
  	o adds feature detection of ancient features all the way back to
  	  'alignment check' to latest and greatest described in intel & amd manuals
  	o several improvements for making it easier for rpm5 to use library

* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 1.0-0.20070715.1mdv2008.1
+ Revision: 153914
- update to 20070715 snapshot
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Gwenole Beauchesne <gbeauchesne@mandriva.org> 1.0-0.20070509.1mdv2008.0
+ Revision: 25631
- update from SVN (2007/05/09):
  * add Perl bindings
  * fix detection of VIA processors (C3, C7)
  * fix detection of early AMD processors (K5, K6)
  * add more x86 feature flags (3dnow, sse4, popcnt)

* Wed Apr 18 2007 Gwenole Beauchesne <gbeauchesne@mandriva.org> 1.0-0.20070415.1mdv2008.0
+ Revision: 14616
- initial mandriva linux package


* Tue Feb 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-3mdk
- Fix BuildRequires

* Sat Feb 11 2006 Sebastien Savarin <plouf@mandriva.org> 0.3-2mdk
- Fix wrong perms

* Sat Feb 11 2006 Sebastien Savarin <plouf@mandriva.org> 0.3-1mdk
- First Mandriva Linux release

